package com.sqx.modules.member.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.PageUtils;
import com.sqx.modules.member.dto.SpecialFavorStudentDTO;
import com.sqx.modules.member.dto.SpecialFavorStudentVerifyDTO;
import com.sqx.modules.member.entity.SpecialFavorStudent;
import com.sqx.modules.member.query.SpecialFavorStudentQuery;
import org.springframework.web.multipart.MultipartFile;

public interface SpecialFavorStudentService extends IService<SpecialFavorStudent> {

    PageUtils pages(SpecialFavorStudentQuery query);

    void save(SpecialFavorStudentDTO dto);

    void update(SpecialFavorStudentDTO dto);

    void importData(MultipartFile file);

    /**
     * 特殊照顾学生认证审核
     * @param userId 登录用户id
     * @param dto    特殊照顾学生认证审核参数
     */
    void verify(Long userId, SpecialFavorStudentVerifyDTO dto);
}
